%define name	wmbattery
%define version	2.25
%define release %mkrel 6

Name: 	 	%{name}
Summary: 	Battery info docklet for WindowMaker
Version: 	%{version}
Release: 	%{release}

Source:		svn://svn.kitenet.net/joey/trunk/packages/%{name}-%{version}.tar.bz2
URL:		http://kitenet.net/programs/wmbattery/
License:	GPL
Group:		Graphical desktop/WindowMaker
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libx11-devel
BuildRequires:	imagemagick
BuildRequires:	libapm-devel
BuildRequires:	libxext-devel
BuildRequires:	libxpm-devel

%description
wmbattery displays the status of your laptop's battery in a small icon. This
includes if it is plugged in, if the battery is charging, how many minutes of
battery life remain, battery life remaining (with both a percentage and a 
graph), and battery status (high - green, low - yellow, or critical - red).

It works for both ACPI and APM based systems.

%prep
%setup -q

%build
autoconf
%configure2_5x
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%{__mkdir} -p $RPM_BUILD_ROOT/%_bindir
%{__mkdir} -p $RPM_BUILD_ROOT/%_mandir/man1
%{__cp} %name $RPM_BUILD_ROOT/%_bindir/
%{__cp} %name.1x $RPM_BUILD_ROOT/%_mandir/man1/

#menu
%{__mkdir} -p $RPM_BUILD_ROOT%{_datadir}/applications
cat << EOF > %buildroot%{_datadir}/applications/mandriva-%{name}.desktop
[Desktop Entry]
Type=Application
Exec=%{name}
Icon=%{name}
Name=WMbattery
Comment=Battery status docklet
Categories=System;Monitor;
EOF

#icons
%{__mkdir} -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 face.xpm $RPM_BUILD_ROOT/%_liconsdir/%name.png
%{__mkdir} -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 face.xpm $RPM_BUILD_ROOT/%_iconsdir/%name.png
%{__mkdir} -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 face.xpm $RPM_BUILD_ROOT/%_miconsdir/%name.png

# the various states of the applet
%{__mkdir} -p $RPM_BUILD_ROOT/%_iconsdir/%name
%{__cp} *xpm $RPM_BUILD_ROOT/%_iconsdir/%name/

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post
%update_menus
%endif
		
%if %mdkversion < 200900
%postun
%clean_menus
%endif

%files
%defattr(-,root,root)
%doc TODO README
%doc %{_mandir}/*/*
%{_bindir}/%name
%{_datadir}/applications/mandriva-%name.desktop
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png
%{_iconsdir}/%name/



%changelog
* Tue Feb 01 2011 Funda Wang <fwang@mandriva.org> 2.25-6mdv2011.0
+ Revision: 634774
- simplify BR

* Wed Sep 09 2009 Thierry Vignaud <tv@mandriva.org> 2.25-5mdv2010.0
+ Revision: 434773
- rebuild

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Sun Aug 03 2008 Thierry Vignaud <tv@mandriva.org> 2.25-4mdv2009.0
+ Revision: 262014
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 2.25-3mdv2009.0
+ Revision: 256040
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Dec 20 2007 Thierry Vignaud <tv@mandriva.org> 2.25-1mdv2008.1
+ Revision: 135500
- fix directory creation
- auto-convert XDG menu entry
- kill re-definition of %%buildroot on Pixel's request
- buildrequires X11-devel instead of XFree86-devel
- use %%mkrel
- import wmbattery


* Fri Apr 14 2006 Udo Rader <udo.rader@bestsolution.at> 2.25-1mdk
- new upstream version

* Tue Nov 01 2005 Austin Acton <austin@mandriva.org> 2.22-1mdk
- from Udo Rader <udo.rader@bestsolution.at> :
  - new upstream version

* Mon Mar 21 2005 Austin Acton <austin@mandrake.org> 2.20-1mdk
- from Udo Rader <udo.rader@bestsolution.at> :
  - initial version
